Bug 452317 - Review Request: heuristica-fonts - Heuristica font
Review Request: heuristica-fonts - Heuristica font
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-20 17:28 EDT by Nicolas Mailhot
Modified: 2008-11-22 11:43 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-16 17:23:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-06-20 17:28:06 EDT
Spec URL: http://nim.fedorapeople.org/heuristica-fonts.spec
SRPM URL: http://nim.fedorapeople.org/heuristica-fonts-20080619-1.fc10.nim.src.rpm
Description: Heuristica is a serif latin & cyrillic font, derived from the "Adobe Utopia®" font that was released to the TeX Users Group under a liberal license. 


See also https://fedoraproject.org/wiki/Heuristica_font
Comment 1 Andrey V. Panov 2008-06-25 00:01:45 EDT
Nicolas,

As far as I know Fedora bewares of patents. The Utopia font was patented:
http://www.google.com/patents?id=MNkpAAAAEBAJ
http://www.freepatentsonline.com/D317323.html .
Comment 2 Nicolas Mailhot 2008-06-25 01:53:41 EDT
Fun. What I don't understand then is how Adobe (which is a serious firm, with
real lawyers) could give the font to the TEX user group with a license that
allowed OFL-ing. Would you have the name of the Adobe contact per chance?
Comment 3 Nicolas Mailhot 2008-06-25 04:30:53 EDT
Actually, googling the it a bit it seems:
1. last time this went to court the patent angle was rejected and the copyright
angle upholded
2. the entity that sued and was the patent holder was Adobe
3. the authorization Adobe gave to the TEX user group explicitely covers
copyright and talks about font modifications

So I don't really see Adobe suing for patents when they gave the green light to
modifications and redistribution themselves, and courts refused the patent
argument before.

But IANAL, so this is for fedora-legal to decide. And if the text of the current
TEX User Group grant is not good enough, presumably a better one can be
negociated with Adobe since the release of Utopia comes from them.
Comment 4 Michal Nowak 2008-06-25 14:26:43 EDT
Does anyone mailed our legal, yet? Can I do so?
Comment 5 Nicolas Mailhot 2008-06-25 14:41:01 EDT
(In reply to comment #4)
> Does anyone mailed our legal, yet? Can I do so?

You can but blocking on FE-Legal is supposed to be sufficient
Comment 6 Tom "spot" Callaway 2008-07-01 11:31:29 EDT
I need to talk with the lawyers about this one, please hold. ;)
Comment 7 Nicolas Mailhot 2008-07-04 08:24:47 EDT
BTW utopia is referenced there http://directory.fsf.org/project/utopia/ if
that's worth anything
Comment 8 Tom "spot" Callaway 2008-07-04 10:47:39 EDT
(In reply to comment #7)
> BTW utopia is referenced there http://directory.fsf.org/project/utopia/ if
> that's worth anything

Not really. The FSF isn't concerned at all with patents, only that it is under a
free license.
Comment 9 Nicolas Mailhot 2008-07-12 17:01:29 EDT
See also
http://ospublish.constantvzw.org/?p=560
Comment 10 Tom "spot" Callaway 2008-07-12 21:57:45 EDT
Thanks Nicolas, but the license isn't really the hold up here (we've already
decided that is ok), it is the larger issue of design patents in play.
Comment 11 Nicolas Mailhot 2008-07-13 02:36:58 EDT
Ok. Anyway if you want more info Adobe-side, Thomas Phinney seems to be the contact.
Comment 12 Vasile Gaburici 2008-08-08 21:58:08 EDT
(In reply to comment #11)
> Ok. Anyway if you want more info Adobe-side, Thomas Phinney seems to be the
> contact.

He's basically the manager of the their font divison. He does comment on licensing matters on typophile.com. But he's been mum about some shady issues like whether it's okay to produce documents using the Minion and Myriad that come with Adobe Reader; AFAICT nobody from Adobe ever cleared that up. So I wouldn't hold my breath that he'll answer this patent issue either...
Comment 13 Vasile Gaburici 2008-08-08 22:02:46 EDT
There has been an update upstream a couple of days ago. The author added the Bold and BoldItalic variants, so you should probably update the rpm.
Comment 14 Tom "spot" Callaway 2008-10-09 16:17:47 EDT
The design patents in play here have all long since expired, something I didn't notice initially, because I didn't realize that design patents have a much shorter life. Lifting FE-Legal.
Comment 15 Nicolas Mailhot 2008-10-10 16:51:21 EDT
Thanks.

Now that the legal part is done, I've updated the proposed package with the latest upstream version

http://nim.fedorapeople.org/heuristica-fonts.spec
http://nim.fedorapeople.org/heuristica-fonts-20080825-1.fc10.src.rpm
Comment 16 Kevin Fenzi 2008-11-09 16:35:51 EST
I'll go ahead and review this in the next few days sometime.
Comment 17 Kevin Fenzi 2008-11-15 15:32:30 EST
Sorry for the delay here... 

OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
See below - License (OFL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
7bce211edb964a2c3149e8ae6d46fc6a  heuristica-src-20080825.tar.bz2
7bce211edb964a2c3149e8ae6d46fc6a  heuristica-src-20080825.tar.bz2.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have dist tag
See below - Should package latest version

Issues: 

1. There is a newer version upstream, might update to that before importing?
20081109

2. One more thing thats confusing me on the legal front that should be mentioned
here: The fontforge script files that are used to produce the font are under the 
GPLv2+ license. Since they aren't shipped in the binary package or part 
of the font itself, I guess it's ok that the package license here is OFL, 
but I thought I would mention it here. 

I don't see any blockers here... so this package is APPROVED.
Comment 18 Nicolas Mailhot 2008-11-15 16:43:33 EST
Thanks a lot for the review! Will of course import the lastest font version.

New Package CVS Request
=======================
Package Name: apanov-heuristica-fonts 
Short Description: Heuristica serif font
Owners: nim
Branches: F10, devel
InitialCC: fonts-sig
Comment 19 Kevin Fenzi 2008-11-16 15:21:00 EST
cvs done.
Comment 20 Fedora Update System 2008-11-16 16:59:22 EST
apanov-heuristica-fonts-20081109-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/apanov-heuristica-fonts-20081109-1.fc10
Comment 21 Fedora Update System 2008-11-22 11:43:13 EST
apanov-heuristica-fonts-20081109-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.